petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMInterpolationGetDof

Gets the number of fields interpolated at a point for the interpolation context

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationGetDof(DMInterpolationInfo ctx, PetscInt *dof)

Not collective

### Input Parameter

ctx -the context

### Output Parameter

dof -the number of fields

### See Also

DMInterpolationSetDof(), DMInterpolationEvaluate(), DMInterpolationAddPoints()

### Level

intermediate

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages